﻿@model Jumbula.Core.Model.Order.UndoFamilyCreditToOrderViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" data-ng-click="cancelAction()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Family credit transfer
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div ng-include="'/Dashboard/Order/GetView/_OrderInformation'"></div>
    <div class="span12 margin-top10">
        <span class="text-bold" style="font-size:14px">
            Family credit:
        </span>
        <span style="font-size: 14px" class="span4">{{Model.FamilyCredit.formatCurrencyWithPenny(2)}}</span>
    </div>
    <div class="clearfix"></div>
    <div style="margin-top:30px" ng-show="PageMode == 'Step1'">
        <span class="message">You can reverse this transaction and transfer money form the family credit back to the order. Note: You cannot transfer more than the amount left in the family credit. </span>
    </div>
    <div class="clearfix"></div>
    <div ng-show="PageMode == 'Step1'">
        <label class="req-star">Amount (enter an amount up to <span class="fg-green" id="max-amount">{{Model.MaximumAmount.formatCurrencyWithPenny(2)}}</span>)</label>
        <div class="input-control date-time">
            <div class="input-control text price place-left span6" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.ReturnedAmount)>
                <input ng-model="Model.ReturnedAmount" type="number" @Html.AngTooltipValidationFor(model => model.ReturnedAmount) />
            </div>
        </div>
    </div>
    <div class="row" ng-show="PageMode == 'Step2'">
        <div class="span12 margin-top20">
            <p style="font-size:14px">
                <h3>
                    You are about to transfer {{Model.ReturnedAmount.formatCurrencyWithPenny(2)}} from the family credit back to the order.
                </h3>
            </p>

        </div>
    </div>    <div class="clearfix"></div>
    <div class="margin-top10" id="paymentHistory" ng-show="PageMode == 'Step1'">
        <fieldset>
            <legend>Payment history</legend>
            <div>
                <table class="table">
                    <colgroup>
                        <col />
                        <col width="280" />
                        <col width="400" />
                    </colgroup>
                    <thead>
                        <tr>
                            <th class="text-left">Dats</th>
                            <th class="text-left">Amount</th>
                            <th class="text-left">Method</th>
                            <th class="text-left">Category</th>
                            <th class="text-left">Agent</th>
                            <th class="text-left">Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td width="20%">{{Model.TransactionActivity.StrTransactionDate}}</td>
                            <td width="15%">
                                <span ng-show="Model.TransactionActivity.Amount > 0">-{{Model.TransactionActivity.Amount.formatCurrencyWithPenny(2)}}</span>
                                <span ng-show="Model.TransactionActivity.Amount == 0">{{Model.TransactionActivity.Amount.formatCurrencyWithPenny(2)}}</span>
                            </td>
                            <td width="15%">{{Model.TransactionActivity.StrPaymentMethod}}</td>
                            <td width="15%">{{Model.TransactionActivity.StrCategory}}</td>
                            <td width="15%">{{Model.TransactionActivity.Payer}}</td>
                            <td width="15%">{{Model.TransactionActivity.StrTransactionStatus}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </fieldset>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button ng-show="PageMode == 'Step1'" type="button" class="success place-right large button" data-ng-click="confirmFamilyCredit()">Continue</button>
    <button ng-show="PageMode == 'Step2'" type="button" class="success place-right large button" data-ng-click="SubmitUndoRefundToOrder()">Submit</button>

    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Cancel</button>

    <div class="clearfix"></div>


</div>